<?php
vc_remove_param('cms_fancybox_single', 'title');
vc_remove_param('cms_fancybox_single', 'description');
vc_remove_param('cms_fancybox_single', 'content_align');
vc_remove_param('cms_fancybox_single', 'button_text');
vc_remove_param('cms_fancybox_single', 'button_link');
vc_remove_param('cms_fancybox_single', 'button_type');
vc_remove_param('cms_fancybox_single', 'cms_template');

vc_add_param("cms_fancybox_single", array(
    'type' => 'img',
    'heading' => esc_html__( 'Fancy Style', 'buildana' ),
    'value' => array(
        'style-0' => get_template_directory_uri().'/vc_params/layouts/default.png',
        'style-1' => get_template_directory_uri().'/vc_params/layouts/fancy-style1.png', 
        'style-2' => get_template_directory_uri().'/vc_params/layouts/fancy-style2.png',
        'style-3' => get_template_directory_uri().'/vc_params/cms-fancy-single/fancy-style3.png',    
        'style-4' => get_template_directory_uri().'/vc_params/cms-fancy-single/fancy-style4.png',
        'style-5' => get_template_directory_uri().'/vc_params/cms-fancy-single/fancy-style5.png',
        'style-6' => get_template_directory_uri().'/vc_params/cms-fancy-single/fancy-style6.png',
    ),
    'param_name' => 'fancy_style',
    "admin_label" => true,
    'description' => esc_html__( 'Select fancybox style', 'buildana' ),
    "group" => esc_html__("Layout", 'buildana'),
    'weight' => 1
));
vc_add_param("cms_fancybox_single", array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Animation', 'buildana' ),
    'param_name' => 'animation_effect',
    'std' => '',
    'description' => esc_html__( 'Animations  for grid', 'buildana' ),
    'value' =>  array(
        esc_html__( 'None', 'buildana' ) => '',
        esc_html__( 'fadeIn', 'buildana' ) => 'wow fadeIn',
        esc_html__( 'FadeInUp', 'buildana' ) => 'wow fadeInUp',
        esc_html__( 'BounceInUp', 'buildana' ) => 'wow bounceInUp',
        esc_html__( 'BounceInDown', 'buildana' ) => 'wow bounceInDown',
        esc_html__( 'BounceInLeft', 'buildana' ) => 'wow bounceInLeft',
        esc_html__( 'BounceInRight', 'buildana' ) => 'wow bounceInRight',  
     ),
     "group" => esc_html__("Animation", 'buildana'),
     'weight' => 1
));
vc_add_param("cms_fancybox_single", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Data wow duration", 'buildana'),
    "param_name" => "data_wow_duration",
    "value" =>  array(
        'None'  => '',
        '1s'    => '1s',
        '2s'    => '2s',
        '3s'    => '3s',
        '4s'    => '4s',
        '5s'    => '5s',
        '6s'    => '6s',
    ),
    "group" => esc_html__("Animation", 'buildana'),
    'weight' => 1
));
vc_add_param("cms_fancybox_single", array(
    "type" => "dropdown",
    "class" => "",
    "heading" => esc_html__("Data wow delay", 'buildana'),
    "param_name" => "data_wow_delay",
    "value" =>  array(
        'None'  => '',
        '0.2s'    => '0.2s',
        '0.4s'    => '0.4s',
        '0.6s'    => '0.6s',
        '0.8s'    => '0.8s',
    ),
    "group" => esc_html__("Animation", 'buildana'),
    'weight' => 1
));
vc_add_param("cms_fancybox_single", array(
    "type" => "textfield",
    "heading" => esc_html__("Extra Class",'buildana'),
    "param_name" => "class",
    "value" => "",
    "description" => "",
    "group" => esc_html__("Layout", 'buildana'),
    'weight' => 1
));
 
vc_add_param("cms_fancybox_single", array(
    'type' => 'dropdown',
	'heading' => esc_html__( 'Icon library', 'buildana' ),
	'value' => array(
		esc_html__( 'Font Awesome', 'buildana' ) => 'fontawesome',
        esc_html__( 'Flat Icon', 'buildana' ) => 'flaticon',
		esc_html__( 'Open Iconic', 'buildana' ) => 'openiconic',
		esc_html__( 'Typicons', 'buildana' ) => 'typicons',
		esc_html__( 'Entypo', 'buildana' ) => 'entypo',
		esc_html__( 'Linecons', 'buildana' ) => 'linecons',
		esc_html__( 'Pixel', 'buildana' ) => 'pixelicons',
		esc_html__( 'P7 Stroke', 'buildana' ) => 'pe7stroke',
		esc_html__( 'RT Icon', 'buildana' ) => 'rticon',
	),
	'param_name' => 'icon_type',
	'description' => esc_html__( 'Select icon library.', 'buildana' ),
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style-0',
            'style-1',
            'style-3', 
            'style-4',
            'style-5',
        ),
    ),
	"group" => esc_html__("Fancy Icon Settings", 'buildana')
));

vc_add_param("cms_fancybox_single", array(
    'type'       => 'iconpicker',
    'heading'    => esc_html__( 'Icon Item', 'buildana' ),
    'param_name' => 'icon_flaticon',
    'value'      => '',
    'settings'   => array(
        'emptyIcon'    => true, 
        'type'         => 'flaticon',
        'iconsPerPage' => 200,  
	),
	'dependency' => array(
        'element' => 'icon_type',
        'value'   => 'flaticon',
	),
	'description' => esc_html__( 'Select icon from library.', 'buildana' ),
    "group" => esc_html__("Fancy Icon Settings", 'buildana')
)); 
vc_add_param("cms_fancybox_single", array(
    "type" => "attach_image",
    "heading" => esc_html__("Image Item",'buildana'),
    "param_name" => "image",
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style-0',
            'style-2',
        ),
    ),
    "group" => esc_html__("Option", 'buildana')
));


vc_add_param("cms_fancybox_single", array(
	"type" => "textfield",
    "heading" => esc_html__("Title Item",'buildana'),
    "param_name" => "title_item",
    "value" => "",
    "admin_label" => true,
    "description" => esc_html__("Title Of Item",'buildana'),
    "group" => esc_html__("Option", 'buildana')
));

vc_add_param("cms_fancybox_single", array(
	"type" => "textarea",
    "heading" => esc_html__("Content Item",'buildana'),
    "param_name" => "description_item",
    "group" => esc_html__("Option", 'buildana')
));

vc_add_param("cms_fancybox_single", array(
	'type' => 'vc_link',
    'heading' => esc_html__( 'URL (Link)', 'buildana' ),
    'param_name' => 'link',
    'description' => esc_html__( 'Add link to button.', 'buildana' ),
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style-0',
        ),
    ),
    'group' => esc_html__("Option", 'buildana'),
));
vc_add_param('cms_fancybox_single', array(
    'type' => 'checkbox',
    'heading' => esc_html__("Icon right", 'buildana'),
    'param_name' => 'icon_right',
    'value' => '',
    'dependency' => array(
        'element' => 'fancy_style',
        'value' => array(
            'style-1',
        ),
    ),
    'group' => esc_html__("Option", 'buildana'),
)); 

vc_add_param("cms_fancybox_single", array(
	'type' => 'css_editor',
    'heading' => esc_html__( 'CSS box', 'buildana' ),
    'param_name' => 'css',
    'group' => esc_html__( 'Design Options', 'buildana' ),
));
 